// BEGIN COLORS //

$color-black: #000000 !default;
$color-white: #ffffff !default;

$color-grey-7: #333333 !default;
$color-grey-6: #808080 !default;
$color-grey-5: #adadad !default;
$color-grey-4: #d4d4d4 !default;
$color-grey-3: #eaeaea !default;
$color-grey-2: #f5f5f5 !default;
$color-grey-1: #fafafa !default;

$color-blue: #2957ff !default;
$color-blue-5: desaturate(darken($color-blue, 28), 16) !default;
$color-blue-4: desaturate(darken($color-blue, 16), 8) !default;
$color-blue-3: $color-blue !default;
$color-blue-2: saturate(lighten($color-blue, 20), 20) !default;
$color-blue-1: saturate(lighten($color-blue, 36), 48) !default;

$color-teal: #68c7c0 !default;
$color-teal-5: desaturate(darken($color-teal, 28), 16) !default;
$color-teal-4: desaturate(darken($color-teal, 16), 8) !default;
$color-teal-3: $color-teal !default;
$color-teal-2: saturate(lighten($color-teal, 20), 20) !default;
$color-teal-1: saturate(lighten($color-teal, 36), 48) !default;

$color-orange: #ff8419 !default;
$color-orange-5: desaturate(darken($color-orange, 28), 16) !default;
$color-orange-4: desaturate(darken($color-orange, 16), 8) !default;
$color-orange-3: $color-orange !default;
$color-orange-2: saturate(lighten($color-orange, 20), 20) !default;
$color-orange-1: saturate(lighten($color-orange, 36), 48) !default;

$color-yellow: #ffcc27 !default;
$color-yellow-5: desaturate(darken($color-yellow, 28), 16) !default;
$color-yellow-4: desaturate(darken($color-yellow, 16), 8) !default;
$color-yellow-3: $color-yellow !default;
$color-yellow-2: saturate(lighten($color-yellow, 20), 20) !default;
$color-yellow-1: saturate(lighten($color-yellow, 36), 48) !default;

$color-red: #ff1919 !default;
$color-red-5: desaturate(darken($color-red, 28), 16) !default;
$color-red-4: desaturate(darken($color-red, 16), 8) !default;
$color-red-3: $color-red !default;
$color-red-2: saturate(lighten($color-red, 20), 20) !default;
$color-red-1: saturate(lighten($color-red, 36), 48) !default;

$color-green: #2ce23c !default;
$color-green-5: desaturate(darken($color-green, 28), 16) !default;
$color-green-4: desaturate(darken($color-green, 16), 8) !default;
$color-green-3: $color-green !default;
$color-green-2: saturate(lighten($color-green, 20), 20) !default;
$color-green-1: saturate(lighten($color-green, 36), 48) !default;

$color-primary: #19acdb !default;
$color-primary-5: desaturate(darken($color-primary, 28), 16) !default;
$color-primary-4: desaturate(darken($color-primary, 16), 8) !default;
$color-primary-3: $color-primary !default;
$color-primary-2: saturate(lighten($color-primary, 20), 20) !default;
$color-primary-1: saturate(lighten($color-primary, 36), 48) !default;

$color-secondary: $color-grey-5 !default;
$color-secondary-5: desaturate(darken($color-secondary, 28), 16) !default;
$color-secondary-4: desaturate(darken($color-secondary, 16), 8) !default;
$color-secondary-3: $color-secondary !default;
$color-secondary-2: saturate(lighten($color-secondary, 20), 20) !default;
$color-secondary-1: saturate(lighten($color-secondary, 36), 48) !default;

$color-maps: (
  'grey': (
    '7': $color-grey-7,
    '6': $color-grey-6,
    '5': $color-grey-5,
    '4': $color-grey-4,
    '3': $color-grey-3,
    '2': $color-grey-2,
    '1': $color-grey-1,
  ),
  'blue': (
    '5': $color-blue-5,
    '4': $color-blue-4,
    '3': $color-blue-3,
    '2': $color-blue-2,
    '1': $color-blue-1,
  ),
  'teal': (
    '5': $color-teal-5,
    '4': $color-teal-4,
    '3': $color-teal-3,
    '2': $color-teal-2,
    '1': $color-teal-1,
  ),
  'green': (
    '5': $color-green-5,
    '4': $color-green-4,
    '3': $color-green-3,
    '2': $color-green-2,
    '1': $color-green-1,
  ),
  'yellow': (
    '5': $color-yellow-5,
    '4': $color-yellow-4,
    '3': $color-yellow-3,
    '2': $color-yellow-2,
    '1': $color-yellow-1,
  ),
  'orange': (
    '5': $color-orange-5,
    '4': $color-orange-4,
    '3': $color-orange-3,
    '2': $color-orange-2,
    '1': $color-orange-1,
  ),
  'red': (
    '5': $color-red-5,
    '4': $color-red-4,
    '3': $color-red-3,
    '2': $color-red-2,
    '1': $color-red-1,
  ),
  'primary': (
    '5': $color-primary-5,
    '4': $color-primary-4,
    '3': $color-primary-3,
    '2': $color-primary-2,
    '1': $color-primary-1,
  ),
  'secondary': (
    '5': $color-secondary-5,
    '4': $color-secondary-4,
    '3': $color-secondary-3,
    '2': $color-secondary-2,
    '1': $color-secondary-1,
  ),
) !default;

// END COLORS //

// BEGIN BASE UNIT //

$unit: 4px !default;

// END BASE UNIT //

// BEGIN GRID SYSTEM //

$grid-columns: 12 !default;
$grid-gutter-xsmall: $unit * 2 !default;
$grid-gutter-small: $unit * 4 !default;
$grid-gutter-normal: $unit * 6 !default;
$grid-gutter-large: $unit * 8 !default;
$grid-gutter-xlarge: $unit * 10 !default;

$grid-breakpoints: (
  xs: 0,
  sm: 768px,
  md: 992px,
  lg: 1200px,
  xl: 1366px,
) !default;

$breakpoints-max: (
  xs: 0,
  sm: 767px,
  md: 991px,
  lg: 1199px,
  xl: 1365px,
) !default;

$breakpoints-min: $grid-breakpoints !default;

// END GRID SYSTEM //

// BEGIN SPACINGS //

$spacings: (
  '0x': $unit * 0,
  '025x': $unit * 0.25,
  '05x': $unit * 0.5,
  '1x': $unit * 1,
  '2x': $unit * 2,
  '3x': $unit * 3,
  '4x': $unit * 4,
  '5x': $unit * 5,
  '6x': $unit * 6,
  '7x': $unit * 7,
  '8x': $unit * 8,
  '9x': $unit * 9,
  '10x': $unit * 10,
  '11x': $unit * 11,
  '12x': $unit * 12,
) !default;

// END SPACINGS //

// BEGIN BORDER RADIUS VARIABLES //

$border-radius-xxs: $unit * 0.5 !default;
$border-radius-xs: $unit * 1 !default;
$border-radius-sm: $unit * 1.5 !default;
$border-radius-md: $unit * 2 !default;
$border-radius-lg: $unit * 4 !default;
$border-radius-xl: $unit * 6 !default;
$border-radius-xxl: $unit * 8 !default;
$border-radius-max: $unit * 50 !default;

$border-radius-maps: (
  'xxs': $border-radius-xxs,
  'xs': $border-radius-xs,
  'sm': $border-radius-sm,
  'md': $border-radius-md,
  'lg': $border-radius-lg,
  'xl': $border-radius-xl,
  'xxl': $border-radius-xxl,
  'max': $border-radius-max,
) !default;

// END BORDER RADIUS VARIABLES //
